package cn.axzo.msg.center.service.pending.request;

import com.alibaba.fastjson.JSONObject;

import javax.validation.constraints.NotNull;

/**
 * @author yanglin
 */
public interface CardContent {

    String getTemplateCode();

    CardStateInfo getStateInfo();

    boolean isButtonActionPerformed(String buttonCode);

    String getSubtitle();

    @NotNull
    JSONObject getBizParam();

    @NotNull
    JSONObject getRouterParam();

}